Brand Brain Tools API (0.21.0)

Download OpenAPI specification:

Introduction

The Brand Brain Tools API provides a set of endpoints to interact with common tools used in the Brand Brain platform.

Extract

Content Extraction API for extracting content from various media types.

Submit a Content Extraction job

Submits a request to extract content from a specified source.

Authorizations:
ApiGatewayApiKey
Request Body schema: application/json
external_tracking_id
string non-empty

Optional external job ID for internal tracking.

uri
required
string <uri> non-empty

The URI of the source content to extract.

extraction_model_name
string non-empty
Default: "gpt-4.1"
Enum: "gpt-4.1" "gpt-5-chat"

The name of the extraction model to use.

callback_url
string <uri> (Callback URL) non-empty

Webhook callback endpoint.

Responses

Callbacks

Request samples

Content type
application/json
Example

Response samples

Content type
application/json
{
  • "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}

Callback payload samples

Callback
POST: Job Updates
Content type
application/json
{
  • "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  • "status": "submitted"
}

Get a Content Extraction job

Retrieves the current status and result (if any) of an Content Extraction job.

Authorizations:
ApiGatewayApiKey
path Parameters
job_id
required
string <uuid>
Example: 13d87fb8-a940-447c-9755-dbe6c631ef57

The ID of the job to query.

Responses

Response samples

Content type
application/json
{
  • "status": "completed",
  • "result": [
    ],
  • "failures": [
    ]
}

Analysis

Brand Voice Analysis API for extracting a Brand Voice Guide from the given content.

Submit a Brand Voice Analysis job

Submits a request to extract a Brand Voice Guide from the given content

Authorizations:
ApiGatewayApiKey
Request Body schema: application/json
external_tracking_id
string non-empty

Optional external job ID for internal tracking.

required
Plain Text (string) or Structured Content (object) or Array of List of Structured Content (objects)
analysis_model_name
string non-empty
Default: "gpt-4.1"
Enum: "gpt-4.1" "gpt-5-chat"

The name of the LLM to use for analysis.

callback_url
string <uri> (Callback URL) non-empty

Webhook callback endpoint.

Responses

Callbacks

Request samples

Content type
application/json
Example
{
  • "content": "Some plain text content."
}

Response samples

Content type
application/json
{
  • "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}

Callback payload samples

Callback
POST: Job Updates
Content type
application/json
{
  • "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  • "status": "submitted"
}

Get a Brand Voice Analysis job

Retrieves the current status and result (if any) of a Brand Voice Analysis job.

Authorizations:
ApiGatewayApiKey
path Parameters
job_id
required
string <uuid>
Example: 13d87fb8-a940-447c-9755-dbe6c631ef57

The ID of the job to query.

Responses

Response samples

Content type
application/json
{
  • "status": "completed",
  • "result": {
    },
  • "failures": [
    ]
}

Analysis

Content Quality API for analysing and evaluating the quality of the content.

Submit a Content Quality Analysis Job

Submits a request to analyse the quality of text content.

Authorizations:
ApiGatewayApiKey
Request Body schema: application/json
external_tracking_id
string non-empty

Optional external job ID for internal tracking.

required
Structured (object) or Text (string) (Content)

The content to be analysed. Minimum content length is 150 characters. For structured payloads, the total of all string values is used.

object (Config) non-empty

The configuration for the content quality analysis job.

analysis_model_name
string non-empty
Default: "gpt-4.1"
Enum: "gpt-4.1" "gpt-5-chat"

The name of the analysis model to use.

callback_url
string <uri> (Callback URL) non-empty

Webhook callback endpoint.

Responses

Callbacks

Request samples

Content type
application/json
Example
{
  • "content": "Some text to analyse"
}

Response samples

Content type
application/json
{
  • "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}

Callback payload samples

Callback
POST: Job Updates
Content type
application/json
{
  • "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  • "status": "submitted"
}

Get a Content Quality Analysis job

Retrieves the current status and result (if any) of a Content Quality Analysis job.

Authorizations:
ApiGatewayApiKey
path Parameters
job_id
required
string <uuid>
Example: 13d87fb8-a940-447c-9755-dbe6c631ef57

The ID of the job to query.

Responses

Response samples

Content type
application/json
{
  • "status": "completed",
  • "result": {
    },
  • "failures": [
    ]
}